libreplace: only include AC_USE_SYSTEM_EXTENSIONS fallback if required
authorStefan Metzmacher <metze@samba.org>
Mon, 9 Jun 2008 08:39:48 +0000 (10:39 +0200)
committerStefan Metzmacher <metze@samba.org>
Mon, 9 Jun 2008 08:54:35 +0000 (10:54 +0200)
This fixes ./autogen.sh with autoconf-2.62

metze
(This used to be commit 72bb01dda4d425528e28cd96e249595dc6c1952f)

source4/lib/replace/libreplace.m4

index 6a85ff5a82904fabfbe84e61a84f5adbc3a6bbe5..71fa0416721497d836c6bc2ca56663489df704e2 100644 (file)
@@ -299,4 +299,5 @@ m4_include(libreplace_cc.m4)
 m4_include(libreplace_ld.m4)
 m4_include(libreplace_network.m4)
 m4_include(libreplace_macros.m4)
 m4_include(libreplace_ld.m4)
 m4_include(libreplace_network.m4)
 m4_include(libreplace_macros.m4)
-m4_include(autoconf-2.60.m4)
+
+m4_ifndef([AC_USE_SYSTEM_EXTENSIONS],[m4_include(autoconf-2.60.m4)])